package test.org.itscool.commons.util;

import junit.framework.TestCase;

import org.itscool.commons.util.ByteUtil;

public class ByteUtilTest extends TestCase{

    public void testGetLine(){
    	//テスト対象元データ
    	String data = "sample\r\n";
    	//テスト結果比較用データの作成(テストデータから改行コードを除いたバイト配列を取得)
    	byte[] bytes = data.substring(0, data.length()-2).getBytes();
    	//テスト対象メソッドを実行
    	byte[] line = ByteUtil.getLineCrLf(data.getBytes(), 0);
    	
//    	System.out.println("[bytes]");
//    	for(int i=0; i<bytes.length; i++ ){
//    		System.out.print(bytes[i] + " ");
//    	}
//    	System.out.println("");
//    	System.out.println("[line]");
//    	for(int i=0; i<line.length; i++ ){
//    		System.out.print(line[i] + " ");
//    	}
    	
    	//テスト結果の検証
//    	assertEquals(bytes, line);
    	assertEquals(bytes.length, line.length);
    	for(int i=0; i<line.length; i++ ){
    		assertEquals(bytes[i], line[i]);
    	}
    }
    
}
